CREATE TABLE repair_order_info
(
       branch_name VARCHAR2(100 CHAR),
       order_no    VARCHAR2(12),
       order_type  VARCHAR2(20),
       notify_no   VARCHAR2(20),
       damage_area VARCHAR2(100 CHAR),
       damage_date DATE,
       generating_date DATE,
       policy_no   VARCHAR2(20),
       policy_no_jqx VARCHAR2(20),
       plate_number VARCHAR2(10 CHAR),
       brand_name VARCHAR2(100 CHAR),
       is_insurance_object CHAR(1),
       is_success CHAR(1),
       recommend_dealer_code VARCHAR2(20),
       recommend_dealer_name VARCHAR2(100 CHAR),
       recomm_dealer_code_in_notify VARCHAR2(20),
       recomm_dealer_name_in_notify VARCHAR2(100 CHAR),
       recomm_dealer_name_in_survey VARCHAR2(100 CHAR),
       agent_name VARCHAR2(10 CHAR),
       surveyor VARCHAR2(10 CHAR),
       check_date DATE,
       repairing_start_date DATE,
       repairing_finish_date DATE,
       status VARCHAR2(10 CHAR),
       lost_item_id VARCHAR(20),
       surveyor_recomm_status VARCHAR2(20 CHAR)
)
TABLESPACE car_dealer;

comment on table REPAIR_ORDER_INFO is '送返修工单表';
-- Add comments to the columns 
comment on column REPAIR_ORDER_INFO.branch_name IS '分公司名称';
comment on column REPAIR_ORDER_INFO.order_no IS '工单号';
comment on column REPAIR_ORDER_INFO.order_type IS '工单类型';
comment on column REPAIR_ORDER_INFO.notify_no IS '报案号';
comment on column REPAIR_ORDER_INFO.damage_area IS '出险区域';
comment on column REPAIR_ORDER_INFO.damage_date IS '出险日期';
comment on column REPAIR_ORDER_INFO.generating_date IS '创建日期';
comment on column REPAIR_ORDER_INFO.policy_no IS '商业险保单号';
comment on column REPAIR_ORDER_INFO.policy_no_jqx IS '交强险保单号';
comment on column REPAIR_ORDER_INFO.plate_number IS '车牌号';
comment on column REPAIR_ORDER_INFO.brand_name IS '品牌名称';
comment on column REPAIR_ORDER_INFO.is_insurance_object IS '是否标的车';
comment on column REPAIR_ORDER_INFO.is_success IS '是否推荐成功';
comment on column REPAIR_ORDER_INFO.recommend_dealer_code IS '推荐车商代码';
comment on column REPAIR_ORDER_INFO.recommend_dealer_name IS '推荐车商名称';
comment on column REPAIR_ORDER_INFO.recomm_dealer_code_in_notify IS '报案推荐车商代码';
comment on column REPAIR_ORDER_INFO.recomm_dealer_name_in_notify IS '报案推荐车商名称';
comment on column REPAIR_ORDER_INFO.recomm_dealer_name_in_survey IS '查勘员推荐车商名称';
comment on column REPAIR_ORDER_INFO.agent_name IS '接报案人';
comment on column REPAIR_ORDER_INFO.surveyor IS '查勘员';
comment on column REPAIR_ORDER_INFO.check_date IS '工单确认日期';
comment on column REPAIR_ORDER_INFO.repairing_start_date IS '车辆进厂时间';
comment on column REPAIR_ORDER_INFO.repairing_finish_date IS '车辆出厂时间';
comment on column REPAIR_ORDER_INFO.status IS '状态';
comment on column REPAIR_ORDER_INFO.lost_item_id IS '损失项目ID';
comment on column REPAIR_ORDER_INFO.surveyor_recomm_status IS '查勘员推荐状态';

CREATE INDEX repair_order_index_01 ON repair_order_info(notify_no, order_no) TABLESPACE car_dealer_idx;

       
       
       
       
       
       
